Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Apple & Adobe incompatible

New Here ,
Feb 25, 2021 Feb 25, 2021

Copy link to clipboard

Copied

So I run a 2012 27" imac that runs Adobe better than a 1 year old 21" imac we have, but Adobe apps are starting to show as incompatible to update to the latest versions on the older imac. No doubt down to MacOS not being able to update to Big Sur on the imac. Does this mean the Adobe suite will have to stagnate on the older mac until it pops its clogs? Or am I being forced to spend a couple of thousand pounds to keep pace with apps?? 

TOPICS
Creative Cloud

Views

68

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Feb 25, 2021 Feb 25, 2021

Copy link to clipboard

Copied

Check the system compatibility for EACH app. NO APPS need Big Sur, but they may need Mojave or High Sierra. Certainly if you have old hardware that can't run supported systems any longer, you will not be able to run the newest apps.  Adobe seem to have lost all interest in keeping older systems and hardware going.

 

"Stagnate" is such an ugly word. Does a great app start to stink the moment someone else is running a cooler newer one? Or it still just as good as it was the day before? I love to run old apps, and upgrade with the greatest reluctance.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Feb 25, 2021 Feb 25, 2021

Copy link to clipboard

Copied

I totally agree about the old apps being absolutely fine to work with but when you work with others and they are updating systems on newer macs, along with apps to try to improve performance, and then the files which both work on become inaccessible due to different versions of apps, it’s an absolute nightmare! Adobe don’t seem to talk to Apple and vice versa whilst studios are thrown all sorts of problems because of it. Files need to be saved to legacy versions of apps and so on and on. Nightmare!

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Feb 25, 2021 Feb 25, 2021

Copy link to clipboard

Copied

LATEST

Apple and Adobe do talk, I think. Apple have one priority; to sell new Macs. To do this, they make sure to create new things that don't work on the old ones. Often they change how apps need to be made, so Adobe (who have to run on the spot to keep up), convert to the new ways, and lose compatibility with old systems. Not that Adobe seem very bothered about support for older systems, because they stopped providing any access to older apps. They are both in an industry staffed by people of a generation who find it inconceivable anyone would be using stuff older than 3 years.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines